IterativeSolverNotConvergedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.sparse
Class IterativeSolverNotConvergedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              no.uib.cipr.matrix.NotConvergedException
                  no.uib.cipr.matrix.sparse.IterativeSolverNotConvergedException

All Implemented Interfaces:
  java.io.Serializable

    public class IterativeSolverNotConvergedException

extends NotConvergedException

Exception for lack of convergence in a linear problem. Contains the final computed residual.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class no.uib.cipr.matrix.NotConvergedException
`NotConvergedException.Reason`

Field Summary

Fields inherited from class no.uib.cipr.matrix.NotConvergedException
`reason`

Constructor Summary
`IterativeSolverNotConvergedException(NotConvergedException.Reason reason, IterationMonitor iter)` Constructor for IterativeSolverNotConvergedException
`IterativeSolverNotConvergedException(NotConvergedException.Reason reason, java.lang.String message, IterationMonitor iter)` Constructor for IterativeSolverNotConvergedException

Method Summary
`int` | `getIterations()` Gets the number of iterations used when this exception was thrown
`double` | `getResidual()` Returns final computed residual

Methods inherited from class no.uib.cipr.matrix.NotConvergedException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IterativeSolverNotConvergedException

    public IterativeSolverNotConvergedException(NotConvergedException.Reason reason,
                                                java.lang.String message,
                                                IterationMonitor iter)

  Constructor for IterativeSolverNotConvergedException

  Parameters:
    `reason` - Reason for this exception
    `message` - A more detailed message
    `iter` - Associated iteration monitor, for extracting residual and iteration number

### IterativeSolverNotConvergedException

    public IterativeSolverNotConvergedException(NotConvergedException.Reason reason,
                                                IterationMonitor iter)

  Constructor for IterativeSolverNotConvergedException

  Parameters:
    `reason` - Reason for this exception
    `iter` - Associated iteration monitor, for extracting residual and iteration number

Method Detail

### getResidual

    public double getResidual()

  Returns final computed residual

### getIterations

    public int getIterations()

  Gets the number of iterations used when this exception was thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD